import { jsx } from '@emotion/core';
import React__default from 'react';
import _pt from 'prop-types';

var HeadingLevelContext = React__default.createContext(0);
function useHeadingLevel() {
  return React__default.useContext(HeadingLevelContext);
}
function AreaWithHeading(_ref) {
  var children = _ref.children;
  var parentHeadingLevel = useHeadingLevel();
  var headingLevel = Math.min(parentHeadingLevel + 1, 6);
  return jsx(HeadingLevelContext.Provider, {
    value: headingLevel
  }, children);
}
AreaWithHeading.propTypes = {
  children: _pt.node
};
AreaWithHeading.__docgenInfo = {
  "description": "",
  "methods": [],
  "displayName": "AreaWithHeading",
  "props": {
    "children": {
      "required": false,
      "tsType": {
        "name": "ReactReactNode",
        "raw": "React.ReactNode"
      },
      "description": ""
    }
  }
};

if (typeof STORYBOOK_REACT_CLASSES !== "undefined") {
  STORYBOOK_REACT_CLASSES["src/components/AreaWithHeading/AreaWithHeading.tsx"] = {
    name: "AreaWithHeading",
    docgenInfo: AreaWithHeading.__docgenInfo,
    path: "src/components/AreaWithHeading/AreaWithHeading.tsx"
  };
}

export { AreaWithHeading, useHeadingLevel };
//# sourceMappingURL=AreaWithHeading.esm.js.map
